package com.ruoyi.priceVerification.mapper;

import java.util.List;
import com.ruoyi.priceVerification.domain.QuotHj;

/**
 * 报价单-核价单Mapper接口
 * 
 * @author ruoyi
 * @date 2024-04-16
 */
public interface QuotHjMapper 
{
    /**
     * 查询报价单-核价单
     * 
     * @param quotHjId 报价单-核价单主键
     * @return 报价单-核价单
     */
    public QuotHj selectQuotHjByQuotHjId(String quotHjId);

    /**
     * 查询报价单-核价单列表
     * 
     * @param quotHj 报价单-核价单
     * @return 报价单-核价单集合
     */
    public List<QuotHj> selectQuotHjList(QuotHj quotHj);

    /**
     * 新增报价单-核价单
     * 
     * @param quotHj 报价单-核价单
     * @return 结果
     */
    public int insertQuotHj(QuotHj quotHj);

    /**
     * 修改报价单-核价单
     * 
     * @param quotHj 报价单-核价单
     * @return 结果
     */
    public int updateQuotHj(QuotHj quotHj);

    /**
     * 删除报价单-核价单
     * 
     * @param quotHjId 报价单-核价单主键
     * @return 结果
     */
    public int deleteQuotHjByQuotHjId(String quotHjId);

    /**
     * 批量删除报价单-核价单
     * 
     * @param quotHjIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteQuotHjByQuotHjIds(String[] quotHjIds);
}
